/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Modifiers
 */
public enum EnumCM_Modifiers 
{
	ABNORMAL("abnormal"),
	ACUTE("acute"),
	ANTERO_INFERIOR("antero-inferior"),
	AGE_INDETERMINATE("age indeterminate"),
	ANTEROLATERAL("anterolateral"),
	ANTERIOR("anterior"),
	ANTEROSEPTAL("anteroseptal"),
	ATRIAL("atrial"),
	AGE_UNDETERMINED("age undetermined"),
	BASAL("basal"),
	BORDERLINE_ABNORMAL("borderline abnormal"),
	BORDERLINE_NORMAL("borderline normal"),
	BORDERLINE("borderline"),
	COMPLETE("complete"),
	DIFFUSE("diffuse"),
	COMPATIBLE_WITH_ELECTROLYTE_ABNORMALITIES("compatible with electrolyte abnormalities"),
	EVOLVING("evolving"),
	EXTENSIVE("extensive"),
	HIGH_LATERAL("high lateral"),
	INCOMPLETE("incomplete"),
	INFEROLATERAL("inferolateral"),
	INFERIOR("inferior"),
	INFEROPOSTERIOR("inferoposterior"),
	LATERAL("lateral"),
	COMPATIBLE_WITH_LEFT_VENTRICULAR_STRAIN("compatible with left ventricular strain"),
	MAJOR("major"),
	COMPATIBLE_WITH_MYOCARDIAL_ISCHEMIC_DAMAGE("compatible with myocardial ischemic damage"),
	MINOR("minor"),
	MODERATE("moderate"),
	NODAL("nodal"),
	WITHIN_NORMAL_LIMITS("within normal limits"),
	MAY_BE_NORMAL_VARIANT("may be normal variant"),
	OLD("old"),
	COMPATIBLE_WITH_PERICARDITIS("compatible with pericarditis"),
	POSTEROLATERAL("posterolateral"),
	POSTERIOR("posterior"),
	RECENT("recent"),
	SEPTAL("septal"),
	SINUS("sinus"),
	SUBENDOCARDIAL("subendocardial"),
	SUBEPICARDIAL("subepicardial"),
	SUBACUTE("subacute"),
	SUPRAVENTRICULAR("supraventricular"),
	TYPICAL("typical"),
	VENTRICULAR("ventricular"),
	WIDESPREAD("widespread"),
	PROBABLY_ACUTE_RECENT("probably acute (recent)"),
	PROBABLY_OLD("probably old"),
	POSSIBLY_ACUTE_RECENT("possibly acute (recent)"),
	POSSIBLY_OLD("possibly old"),
	ATYPICAL("atypical");
	
	private String value;

	EnumCM_Modifiers(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
